# `diameter_service`
[🔗](https://github.com/erlang/otp/blob/master/lib/diameter/src/base/diameter_service.erl#L27)

# `wd_state`
*since OTP 27.1* 

```elixir
-type wd_state() :: initial | okay | suspect | down | reopen.
```

State of the watchdog

---

*Consult [api-reference.md](api-reference.md) for complete listing*
